summaryrefslogtreecommitdiff
path: root/tests/cp
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2015-05-19 12:36:29 +0100
committerPádraig Brady <P@draigBrady.com>2015-05-19 15:00:57 +0100
commitedc5bc5020e67c0835b6e4cf8fd9fef81055c148 (patch)
treef183f1fd495cbc1d459d6133681d7c665c09dbb5 /tests/cp
parent719c15a6f2ae6bf5d17021c6f138d6378ed06c50 (diff)
downloadcoreutils-edc5bc5020e67c0835b6e4cf8fd9fef81055c148.tar.xz
tests: fix non POSIX constructs causing failures with dash
* tests/cp/no-ctx.sh: Scope of `var=val func` is inconsistent across shells, so avoid that construct with functions. * tests/df/no-mtab-status.sh: Likewise. * tests/tail-2/inotify-race.sh: `read` needs an argument. * tests/tail-2/inotify-race2.sh: Likewise.
Diffstat (limited to 'tests/cp')
-rwxr-xr-xtests/cp/no-ctx.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/cp/no-ctx.sh b/tests/cp/no-ctx.sh
index 19d68b8ff..377d203b0 100755
--- a/tests/cp/no-ctx.sh
+++ b/tests/cp/no-ctx.sh
@@ -57,7 +57,8 @@ LD_PRELOAD=./k.so cp -a file_src file_dst || fail=1
# ENODATA should give an immediate error when required to preserve ctx
# This is debatable, and maybe we should not fail when no context available?
-LD_PRELOAD=./k.so returns_ 1 cp --preserve=context file_src file_dst || fail=1
+( export LD_PRELOAD=./k.so
+ returns_ 1 cp --preserve=context file_src file_dst ) || fail=1
test -e preloaded || skip_ 'LD_PRELOAD interception failed'